Get all groups

GET /internal/admin/comms/v1/group/all

Operation id: get__internal_admin_comms_v1_group_all

Description

Get all groups created by authenticated user

Tags: User Groups

Parameters

Query parameters

NameTypeRequiredDescription
pageintegerNoPage number (starts from 0)
pageSizeintegerNoNumber of groups per page (max 50)
tenantIdstringYesTenant ID

Security

  • BearerAuth (http / bearer)
    • Enter the token

Responses

200 — Successfully retrieved ad-hoc groups

Content type: application/json

400 — Bad request

Content type: application/json

401 — Unauthorized

Content type: application/json

403 — Forbidden

Content type: application/json

404 — Not found

Content type: application/json

500 — Internal server error

Content type: application/json

Response models

200 — Successfully retrieved ad-hoc groups

Content type: application/json

Schema

PropertyTypeRequiredDescription
site_namestringNo
groupsarrayNo
total_rowsinteger (int64)NoTotal number of ad-hoc groups
{
  "type": "object",
  "properties": {
    "site_name": {
      "type": "string"
    },
    "groups": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64"
          },
          "name": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "created_at": {
            "type": "string",
            "format": "date-time"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time"
          },
          "targets": {
            "type": "array",
            "items": {
              "type": "object"
            }
          }
        }
      }
    },
    "total_rows": {
      "type": "integer",
      "format": "int64",
      "description": "Total number of ad-hoc groups"
    }
  }
}

400 — Bad request

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

401 — Unauthorized

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}

403 — Forbidden

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

404 — Not found

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}

500 — Internal server error

Content type: application/json

Schema

PropertyTypeRequiredDescription
detailsstringNo
statusCodeintegerNo
{
  "type": "object",
  "properties": {
    "details": {
      "type": "string"
    },
    "statusCode": {
      "type": "integer"
    }
  }
}